package com.huashe.park.domain.entity;

import com.huashe.common.annotation.Excel;
import com.huashe.common.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 施工桩机信息对象 cons_pile_machine_info
 * 
 * @author ruoyi
 * @date 2025-02-12
 */
public class PileMachineInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 桩机编号 */
    @Excel(name = "桩机编号")
    private String machineNum;

    /** 设备信息 */
    @Excel(name = "设备信息")
    private String equipment;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setMachineNum(String machineNum) 
    {
        this.machineNum = machineNum;
    }

    public String getMachineNum() 
    {
        return machineNum;
    }
    public void setEquipment(String equipment) 
    {
        this.equipment = equipment;
    }

    public String getEquipment() 
    {
        return equipment;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("machineNum", getMachineNum())
            .append("equipment", getEquipment())
            .append("updateTime", getUpdateTime())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
            .toString();
    }
}
